.theme-container {
    position: absolute; 
    top: 0; 
    right: 0;
}

.theme-toggle {
    opacity: 0;
    position: absolute;
}

.theme-toggle-label {
    background-color: var(--blue-05);
    width: 18px;
    height: 8px;
    border-radius: 26px;
    position: relative;
    padding: 2px;
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.fa-moon, .fa-sun {
    color: var(--blue-02);
    height: 0.28em;
}

.theme-toggle-label .ball {
    background-color: var(--blue-02);
    width: 6px;
    height: 6px;
    position: absolute;
    left: 1px;
    top: 1px;
    border-radius: 50%;
    transition: transform 0.2s linear;
}

.theme-toggle:checked+.theme-toggle-label .ball {
    transform: translateX(10px);
}